// Package openapi Code generated by swaggo/swag. DO NOT EDIT
package openapi

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "Guillermo Gomez",
            "url": "https://github.gsissc.myatos.net/GLB-BDS-ETSN-SECURITY/xNF-RV-NEPHELE-HDAR/",
            "email": "guillermo.gomezchavez@eviden.net"
        },
        "license": {
            "name": "Eviden (ATOS business) 2023"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/catalogue": {
            "get": {
                "description": "Set of artifacts by types",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "default"
                ],
                "summary": "Internal catalogue",
                "parameters": [
                    {
                        "enum": [
                            "HELM",
                            "DOCKER",
                            "NFV",
                            "VREPORT",
                            "VO",
                            "CVO",
                            "HDAG"
                        ],
                        "type": "string",
                        "description": "Select artifact type",
                        "name": "artifactType",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK"
                    }
                }
            }
        },
        "/catalogue/{id}": {
            "delete": {
                "description": "Delete all artifacts from a repository",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "default"
                ],
                "summary": "Delete an artifact",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the image in the HDAR",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "project",
                        "name": "project",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Deleted"
                    }
                }
            }
        },
        "/catalogue/{id}/config": {
            "get": {
                "description": "Obtain the OCI Config Manifest of an artifact",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "default"
                ],
                "summary": "Fetch OCI Config Manifest",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the image in the HDAR",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "project",
                        "name": "project",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OCI Config Manifest Content"
                    }
                }
            }
        },
        "/catalogue/{id}/content": {
            "get": {
                "description": "Get the contents of the relevant descriptors",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "default"
                ],
                "summary": "Descriptors of artifact",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the image in the HDAR",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "project",
                        "name": "project",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Artifact Content",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/endpoints.ContentObject"
                            }
                        }
                    }
                }
            }
        },
        "/catalogue/{id}/tags": {
            "get": {
                "description": "Obtain the tags of an artifact",
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "default"
                ],
                "summary": "Tags for an artifact",
                "parameters": [
                    {
                        "type": "string",
                        "description": "ID of the image in the HDAR",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "project",
                        "name": "project",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "tags list"
                    }
                }
            }
        },
        "/configure": {
            "get": {
                "description": "Configures the login credentials towards the OCI Registry",
                "produces": [
                    "text/plain"
                ],
                "tags": [
                    "internal"
                ],
                "summary": "Registry Login",
                "responses": {
                    "200": {
                        "description": "OK"
                    }
                }
            }
        },
        "/hdag": {
            "post": {
                "description": "Based on user input. render and push a baseline HDAG descriptor",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "text/plain"
                ],
                "tags": [
                    "default"
                ],
                "summary": "Create an HDAG artifact",
                "parameters": [
                    {
                        "description": "Description of what the HDAG Descriptor should have",
                        "name": "HDAGRequest",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/endpoints.HDAGInput"
                        }
                    },
                    {
                        "type": "string",
                        "description": "project",
                        "name": "project",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "HDAG descriptor created"
                    }
                }
            }
        },
        "/hdag/{id}": {
            "put": {
                "description": "Push a new descriptor to artifact",
                "consumes": [
                    "application/yaml"
                ],
                "produces": [
                    "text/plain"
                ],
                "tags": [
                    "default"
                ],
                "summary": "Update an HDAG artifact",
                "parameters": [
                    {
                        "description": "Descriptor of the HDAG",
                        "name": "Descriptor",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "type": "string",
                        "description": "ID of the image in the HDAR",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "project",
                        "name": "project",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "HDAG descriptor updated"
                    }
                }
            }
        },
        "/health": {
            "get": {
                "description": "Provides start checks for K8s",
                "produces": [
                    "text/plain"
                ],
                "tags": [
                    "internal"
                ],
                "summary": "Health check of the service",
                "responses": {
                    "200": {
                        "description": "OK"
                    }
                }
            }
        }
    },
    "definitions": {
        "endpoints.ContentObject": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "fileName": {
                    "type": "string"
                },
                "type": {
                    "type": "string",
                    "enum": [
                        "TD",
                        "DESC",
                        "GENERIC"
                    ]
                }
            }
        },
        "endpoints.HDAGInput": {
            "type": "object",
            "properties": {
                "description": {
                    "type": "string"
                },
                "designer": {
                    "type": "string"
                },
                "hdaGraphIntent": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "services": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/endpoints.ServiceInput"
                    }
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "endpoints.ServiceInput": {
            "type": "object",
            "properties": {
                "deploymentType": {
                    "type": "string",
                    "enum": [
                        "auto",
                        "event"
                    ]
                },
                "id": {
                    "type": "string"
                },
                "intent": {
                    "$ref": "#/definitions/endpoints.ServiceIntent"
                },
                "ref": {
                    "type": "string"
                }
            }
        },
        "endpoints.ServiceIntent": {
            "type": "object",
            "properties": {
                "metrics": {
                    "type": "boolean"
                },
                "network": {
                    "type": "string"
                },
                "resource": {
                    "type": "string"
                }
            }
        }
    },
    "tags": [
        {
            "name": "default"
        },
        {
            "name": "internal"
        }
    ]
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "Hyper Distributed Applications Registry Manager",
	Description:      "Entrypoint to programatically interact with the HDAR",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
